from PIL import Image, ImageDraw, ImageFont
from lib import *

with Image.open("data/jagoda_002.jpg") as img:
    img.load()

# posvetlimo sliku, da sluzi kao pozadina
img = img.point( lambda x: x + 80 )

# pripremimo se za crtanje
d = ImageDraw.Draw( img )

# crtamo po slici
d.rectangle( (50,50,100,100 ), outline='black', fill='yellow' )
d.line((50,50,100,100), fill=128)
d.line((50,100,100,50), fill=128)
img.show()
input("Press any key to continue...")

# malo teksta
fnt = ImageFont.truetype( "C:\\Windows\\Fonts\\cambriab.ttf", 24 )
d.text( (10, 20), "Zdravo!!!", font=fnt, fill=(0, 0, 192) )
d.text( (10, 110), "Здраво!!!", font=fnt, fill=(192, 0, 0) )
img.show()

